package mae

// |@@| C

import (
	"context"
	"gardening/src/dat/maes"
	"gardening/src/lib/maestro"
	"gardening/src/mae/display_weather_forecast"
)

type DisplayWeatherForecastMae struct {
	DisplayStep *steps.DisplayStep
	Maestro     *maestro.Maestro
}

func (this *DisplayWeatherForecastMae) Act(ctx context.Context, in *maes.DisplayWeatherForecastMaeIn) (*maes.DisplayWeatherForecastMaeOut, error) {
	out := &maes.DisplayWeatherForecastMaeOut{In: in, Ctx: ctx}
	acts := []func(ctx context.Context, in *maes.DisplayWeatherForecastMaeIn, out *maes.DisplayWeatherForecastMaeOut) (bool, error){
		this.DisplayStep.Act,
	}
	out, err := maestro.ActOnActs(ctx, in, out, acts)
	if err != nil {
		return out, err
	}
	out.Success = true
	return out, nil
}
